List AI Assistant chat messages
curl --request GET \
--url https://api.getoneprofile.ai/assistant/conversations/{conversation_id}/messages/ \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.getoneprofile.ai/assistant/conversations/{conversation_id}/messages/"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.getoneprofile.ai/assistant/conversations/{conversation_id}/messages/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.getoneprofile.ai/assistant/conversations/{conversation_id}/messages/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.getoneprofile.ai/assistant/conversations/{conversation_id}/messages/"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.getoneprofile.ai/assistant/conversations/{conversation_id}/messages/")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.getoneprofile.ai/assistant/conversations/{conversation_id}/messages/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": [
{
"actions": [
{
"applied_result": {},
"approve_label": "<string>",
"batch_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"conversation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"decided_at": "2023-11-07T05:31:56Z",
"decided_by_display_name": "<string>",
"error": "<string>",
"grantable": true,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"kind": "verb",
"message_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"origin": "chat",
"price_aside": "<string>",
"price_credits": 123,
"price_label": "<string>",
"proposed_at": "2023-11-07T05:31:56Z",
"source_column_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"source_record_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "proposed",
"summary": "<string>",
"verb": "<string>",
"verb_label": "<string>",
"charged_credits": 123,
"destructive": false,
"detail": {
"kind": "text",
"after": "",
"before": "",
"landing": {
"adds": "<string>",
"table_name": "<string>",
"place": "",
"sample_columns": [
"<string>"
],
"sample_rows": [
[
"<string>"
]
]
},
"search": {
"record_type": "people",
"query": {}
},
"search_before": {
"record_type": "people",
"query": {}
},
"text": ""
},
"expected_credits": 123,
"loss": "<string>",
"prepared_column": {
"column_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"table_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dependent_column_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
},
"price_per": "call",
"runs_column_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"attachments": [
{
"column_count": 123,
"columns": [
"<string>"
],
"created_at": "2023-11-07T05:31:56Z",
"filename": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"kind": "spreadsheet",
"page_count": 123,
"row_count": 123,
"sent": true,
"sheet": "<string>",
"size_bytes": 123
}
],
"content": "<string>",
"conversation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"duration_ms": 123,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"page": {
"entity_id": "<string>",
"entity_name": "<string>",
"entity_type": "<string>",
"on_screen": {
"draft": {
"kind": "<string>",
"id": "<string>",
"text": "<string>",
"unsaved": false
},
"extra": {},
"filters": {},
"filters_as": "<string>",
"kind": "lead_search",
"limit": 1,
"open": [
{
"id": "<string>",
"kind": "<string>",
"label": "<string>",
"parent_id": "<string>"
}
],
"range": {
"from": "2023-12-25",
"preset": "<string>",
"to": "2023-12-25"
},
"search": "<string>",
"selection": {
"of": "<string>",
"all_matching": false,
"count": 0,
"excluded_ids": [
"<string>"
],
"ids": [
"<string>"
]
},
"sort": [
{
"direction": "asc",
"field": "<string>"
}
],
"view": {
"id": "<string>",
"name": "<string>",
"unsaved_changes": false
}
},
"page_name": "<string>",
"route": "<string>",
"selected_step_id": "<string>",
"selected_step_label": "<string>"
},
"pasted_count": 123,
"pasted_kind": "domains",
"plan": [
"<string>"
],
"plan_done": 123,
"question": {
"text": "<string>",
"options": [
"<string>"
]
},
"quote": "<string>",
"role": "user",
"segments": [
{
"action_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"text": "<string>"
}
],
"sequence": 123,
"status": "pending",
"steps": [
{
"action": "<string>",
"detail": "",
"duration_ms": 123,
"observation": "",
"outcome": "completed",
"thought": "<string>"
}
],
"suggestion_kinds": [
"business_context"
],
"suggestions": [
"<string>"
]
}
],
"next_page_cursor": "<string>",
"previous_page_cursor": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>",
"issues": [
{
"input": "<string>",
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>"
}assistant
List AI Assistant chat messages
List a conversation’s messages in the order they happened (order_direction=desc for the latest first, which is where a reopened conversation and a client checking whether its turn landed both look), each reply with the trail it showed and the action cards it raised, as they stand now. A reply whose status is pending is a turn still running: its content is the words written so far, up to a second behind, and its trail the steps taken so far. A turn whose process died before that is shown failed once its time is up.
GET
/
assistant
/
conversations
/
{conversation_id}
/
messages
/
List AI Assistant chat messages
curl --request GET \
--url https://api.getoneprofile.ai/assistant/conversations/{conversation_id}/messages/ \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.getoneprofile.ai/assistant/conversations/{conversation_id}/messages/"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.getoneprofile.ai/assistant/conversations/{conversation_id}/messages/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.getoneprofile.ai/assistant/conversations/{conversation_id}/messages/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.getoneprofile.ai/assistant/conversations/{conversation_id}/messages/"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.getoneprofile.ai/assistant/conversations/{conversation_id}/messages/")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.getoneprofile.ai/assistant/conversations/{conversation_id}/messages/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": [
{
"actions": [
{
"applied_result": {},
"approve_label": "<string>",
"batch_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"conversation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"decided_at": "2023-11-07T05:31:56Z",
"decided_by_display_name": "<string>",
"error": "<string>",
"grantable": true,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"kind": "verb",
"message_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"origin": "chat",
"price_aside": "<string>",
"price_credits": 123,
"price_label": "<string>",
"proposed_at": "2023-11-07T05:31:56Z",
"source_column_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"source_record_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "proposed",
"summary": "<string>",
"verb": "<string>",
"verb_label": "<string>",
"charged_credits": 123,
"destructive": false,
"detail": {
"kind": "text",
"after": "",
"before": "",
"landing": {
"adds": "<string>",
"table_name": "<string>",
"place": "",
"sample_columns": [
"<string>"
],
"sample_rows": [
[
"<string>"
]
]
},
"search": {
"record_type": "people",
"query": {}
},
"search_before": {
"record_type": "people",
"query": {}
},
"text": ""
},
"expected_credits": 123,
"loss": "<string>",
"prepared_column": {
"column_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"table_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dependent_column_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
},
"price_per": "call",
"runs_column_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"attachments": [
{
"column_count": 123,
"columns": [
"<string>"
],
"created_at": "2023-11-07T05:31:56Z",
"filename": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"kind": "spreadsheet",
"page_count": 123,
"row_count": 123,
"sent": true,
"sheet": "<string>",
"size_bytes": 123
}
],
"content": "<string>",
"conversation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"duration_ms": 123,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"page": {
"entity_id": "<string>",
"entity_name": "<string>",
"entity_type": "<string>",
"on_screen": {
"draft": {
"kind": "<string>",
"id": "<string>",
"text": "<string>",
"unsaved": false
},
"extra": {},
"filters": {},
"filters_as": "<string>",
"kind": "lead_search",
"limit": 1,
"open": [
{
"id": "<string>",
"kind": "<string>",
"label": "<string>",
"parent_id": "<string>"
}
],
"range": {
"from": "2023-12-25",
"preset": "<string>",
"to": "2023-12-25"
},
"search": "<string>",
"selection": {
"of": "<string>",
"all_matching": false,
"count": 0,
"excluded_ids": [
"<string>"
],
"ids": [
"<string>"
]
},
"sort": [
{
"direction": "asc",
"field": "<string>"
}
],
"view": {
"id": "<string>",
"name": "<string>",
"unsaved_changes": false
}
},
"page_name": "<string>",
"route": "<string>",
"selected_step_id": "<string>",
"selected_step_label": "<string>"
},
"pasted_count": 123,
"pasted_kind": "domains",
"plan": [
"<string>"
],
"plan_done": 123,
"question": {
"text": "<string>",
"options": [
"<string>"
]
},
"quote": "<string>",
"role": "user",
"segments": [
{
"action_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"text": "<string>"
}
],
"sequence": 123,
"status": "pending",
"steps": [
{
"action": "<string>",
"detail": "",
"duration_ms": 123,
"observation": "",
"outcome": "completed",
"thought": "<string>"
}
],
"suggestion_kinds": [
"business_context"
],
"suggestions": [
"<string>"
]
}
],
"next_page_cursor": "<string>",
"previous_page_cursor": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>",
"issues": [
{
"input": "<string>",
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>"
}Query Parameters
Response
Successful Response
Was this page helpful?